#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    vector <int> veki (n);
    for(int i=0; i<n; i++){
        cin>>veki[i];
    }
    int m=min(n, 500000);
    cout<<n<<endl;
    if(veki[0]<0){
        cout<<2;
        for(int i=1; i<m; i++){
            cout<<32;
        }
    }
    else{
        cout<<1;
        for(int i=1; i<m; i++){
            cout<<21;
        }
    }
}